#ifndef MENU_H
#define MENU_H

#include "miscfunc.h"

const int ID_DIRECTORY_OPEN			= 9011;
const int ID_FILE_SAVE				= 9012;
const int ID_FILE_EXIT				= 9013;

const int ID_TALK_CASTLE			= 9200;
const int ID_TALK_DWELLING			= 9201;
const int ID_TALK_KEEP				= 9202;
const int ID_TALK_TOWNE				= 9203;

const int ID_LEVEL1					= 9350;
const int ID_LEVEL2					= 9351;
const int ID_LEVEL3					= 9352;
const int ID_LEVEL4					= 9353;
const int ID_LEVEL5					= 9354;

const int ID_LINEOFSIGHT			= 9360;

const int ID_HIGHLIGHTTILES			= 9370;

const int ID_GOTO_POS				= 9450;

const int ID_CHANGEFONT2BITMAP		= 9800;
const int ID_CHANGEBITMAP2FONT		= 9801;

const int ID_EXTRACTGRAPHICS		= 9810;
const int ID_INSERTGRAPHICS			= 9811;

const int ID_HELP_ABOUT				= 9999;

void makeMenu(HWND hWnd);
bool OnOpenDirectory(HWND hWnd, MiscFunc* miscfunc);
void changemenu(HWND hWnd, int id);
void changeoptionsmenu(HWND hWnd);
void changelevelmenu(HWND hWnd, int level);
void checklevelmenu(HWND hWnd, int level);
void checkmapoptionsmenu(HWND hWnd, int option);
void changelineofsight();

#endif