#ifndef FONTS_H
#define FONTS_H

#include <stdio.h>
#include <windows.h>
//-----------------------------------------------------------------------------
// Name: class FontExtractor
// Desc: Class to handle aspects of a extracting and compressing fonts
//-----------------------------------------------------------------------------
class FontExtractor{
private:
	void drawbitmap();
	void readbitmap();
	void readheader();
	void writebitmap();
	void writebits(int num, int a, int b);
	void writebits(int bytes, int num, int a, int b);
	void writech();
	void writeend();
	void writeheader();
	void writezeros(int numzero);
	FILE *fp;
	FILE *fw;
	int pixels[128][64];
public:
	FontExtractor(){
		fp = NULL;
		fw = NULL;
	}
	~FontExtractor(){
	}
	void changebmptofont(char *file, char* path);
	void changefonttobmp(char *file, char* path);
};

#endif